<div [hidden]="!showModal">
    <div class="modal">
        <h2>Add Employee</h2>
        <form [formGroup]="employeeForm" (ngSubmit)="onSubmit()" class="modal-fields">
            <label for="name">Name:</label>
            <input type="text" id="name" formControlName="name" required>
            <div *ngIf="employeeForm.get('name')!.hasError('required') && employeeForm.get('name')!.touched">
                Name is required.
            </div>

            <label for="surname">Surname:</label>
            <input type="text" id="surname" formControlName="surname" required>
            <div *ngIf="employeeForm.get('surname')!.hasError('required') && employeeForm.get('surname')!.touched">
                Surname is required.
            </div>

            <label for="office">Office:</label>
            <select id="office" formControlName="office">
                <option value="A1">A1</option>
                <option value="B2">B2</option>
                <option value="C3">C3</option>
            </select>
            <label for="phones">Phones:</label>
            <input type="text" id="phones" formControlName="phones">
            <div *ngIf="employeeForm.get('phones')!.hasError('requiredPhones') && employeeForm.get('phones')!.touched">
                Phones are required when the office is not empty.
            </div>

            <div class="button-group">
                <button *ngIf="!editableEmployee" type="submit" [disabled]="employeeForm.invalid">Add</button>
                <button *ngIf="editableEmployee" type="submit" [disabled]="employeeForm.invalid">Save changes</button>
                <button type="button" (click)="onClose()">Cancel</button>
            </div>
        </form>
    </div>
</div>